Get all form submissions for accounts in a circle Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/circles/{circle_uuid}/form-submissions

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • circle_uuid string Required

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [account]

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[created_after] string

    Date to filter when the record was created after.

  • filter[created_before] string

    Date to filter when the record was created before.

  • filter[stage] string

    Filter submissions by their stage. Valid options are draft,submitted,approved,changes_requested.

  • filter[account] string

    Name of the account of who the submission was against.

  • filter[account_uuids] string

    Filter by a comma separated list of accounts UUIDs of who the form was submitted against.

  • filter[submitted_by_uuid] string

    Filter by a comma separated list of account UUIDs of who submitted the form.

  • filter[form_uuids] string

    Filter by a comma separated list of UUIDs of the form the submission was against.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, stage]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • stage string
      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • primary_phone_number object
          Hide primary_phone_number attributes Show primary_phone_number attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • primary_email object
          Hide primary_email attributes Show primary_email attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • current_time_entry object
          Hide current_time_entry attributes Show current_time_entry attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the time entry.

          • description

            The description of the time entry.

          • trackable_type

            The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

          • start_date

            The start time of the time entry.

          • end_date

            The end time of the time entry.

          • is_active

            Determines if the time entry is currently ongoing.

          • total_time_in_minutes

            Total time in minutes.

          • computed_time_elapsed_in_seconds

            Computed time elapsed in seconds.

        • assigned_adviser object
          Hide assigned_adviser attributes Show assigned_adviser attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_administrator object
          Hide assigned_administrator attributes Show assigned_administrator attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • assigned_paraplanner object
          Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • introduced_by object
          Hide introduced_by attributes Show introduced_by attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • business_unit object
          Hide business_unit attributes Show business_unit attributes object
          • uuid

            The UUID of the resource.

          • name

            Name of the business unit.

          • has_alternative_branding

            Whether alternative branding is enabled for this business unit.

          • brand_colours

            Brand colours for this business unit, merged with firm defaults.

          • members_count

            Number of accounts assigned to this business unit

          • groups_count

            Number of groups assigned to this business unit

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

        • groups object
          Hide groups attributes Show groups attributes object
          • uuid

            UUID of the group

          • name

            Name of the group

          • slug

            Slug of the group

          • participants_count

            Number of participants in the group

          • participants

            Participants in this group

          • created_at

            Timestamp of when the group was created

          • updated_at

            Timestamp of when the group was updated

        • tags object
          Hide tags attributes Show tags attributes object
          • uuid

            UUID of the tag

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the tag

          • slug

            The slug of the tag

          • colour

            The colour of the tag

        • owners object
          Hide owners attributes Show owners attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle object
          Hide joint_account_circle attributes Show joint_account_circle attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • circles object
          Hide circles attributes Show circles attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The Circle name

          • photo_url

            URL for initial avatar image

          • bg_colour

            Hex colour background for avatar

          • has_portal_access

            Whether any member of the circle has portal access

          • portal_access_status

            Aggregated portal access status: active, never_logged_in, or no_portal_access

          • engagement_rating

            Aggregated engagement rating: green, amber, red, or none

          • last_login

            Most recent portal login across all circle members, including who logged in

          • portal_login_count_30d

            Total portal login count across all members in last 30 days

          • portal_login_count_90d

            Total portal login count across all members in last 90 days

          • portal_login_count_365d

            Total portal login count across all members in last 365 days

          • joint_account_uuid

            uuid of joint account where circle created from joint account

          • login_access_level

            The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

          • current_life_stage_uuid

            UUID of the circle's current life stage for expenditure

        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields object
          Hide custom_fields attributes Show custom_fields attributes object
          • uuid

            The UUID of the custom field

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            The type of custom field

          • name

            The name of the custom field

          • reference

            The reference of the custom field, used when updating the custom field on the model.

          • is_required

            Denotes if the custom field is required

          • value

            The value of the custom field

          • selection_options

            This is the array of available options for the selection box. If the type is "selection" this array will be provided.

          • help_text

            Optional help text to aide the custom field. Will be displayed on Plannr.

        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • request object
        Hide request attributes Show request attributes object
        • uuid string
        • created_at string
        • updated_at string
        • description string
        • form object
          Hide form attributes Show form attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • title

            The title of the form

          • description

            The description of the form

          • live

            Whether the form is live

          • visibility

            The visibility of the form

          • allowed_hosts

            Array of allowed domains that this form can be accessed from using different origins

          • draft_submissions_count

            Count of draft submissions against this form

          • submitted_submissions_count

            Count of submitted submissions against this form

          • create_client

            Denotes if this form creates a new client when it is submitted from a public embed

          • client_type

            If create_client is true, then the client_type is the type of client that will be created, possible values are client and prospect

        • has_submission boolean
        • submission object
          Hide submission attributes Show submission attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • stage

            The stage of the submission

          • answers

            The answers to the questions

      • form object
        Hide form attributes Show form attributes object
        • uuid string
        • created_at string
        • updated_at string
        • title string
        • description string
        • live boolean
        • visibility string
        • sections object
          Hide sections attributes Show sections attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • title

            The title of the question

          • help_text

            Input placeholder text

          • caption

            Text to describe the input

          • type

            The type of question

          • required

            Whether the question is required

          • position

            The position of the question in the section

          • selection_options

            The options for selection questions

          • target_field

            The field to update upon question completion

          • key

            The key to use when updating the target field

          • linked_primary

            Will the this linked field become a primary Address/Phone Number/Email Address

        • allowed_hosts array[string]
        • draft_submissions_count integer
        • submitted_submissions_count integer
        • create_client boolean
        • client_type string
      • answers array[object]
        Hide answers attributes Show answers attributes object
        • first_name string
        • last_name string
GET /api/v1/circles/{circle_uuid}/form-submissions
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/circles/6ff8f7f6-1eb3-3525-be4a-3932c805afed/form-submissions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "c0ba1316-1c7f-47e3-92f5-935a7d1192cc",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "stage": "draft",
      "account": {
        "uuid": "f3b5e828-2582-449a-93ac-7faf0a44f408",
        "created_at": "2026-07-17T15:25:28+01:00",
        "updated_at": "2026-07-17T15:25:28+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": {
          "uuid": "91f29e51-ce21-4ef7-b20a-977e7ed8f32c",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "name": "Codepotato",
          "slug": "codepotato",
          "address_1": "Suite E, 5 The Briars",
          "address_2": "Waterberry Drive",
          "town_city": "Waterlooville",
          "county": "Hampshire",
          "postcode": "PO7 7YH",
          "country": "United Kingdom",
          "regulatory_text": "Regulatory text",
          "logo": "https://api.plannrcrm.com/images/plannr.jpg",
          "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
          "brand_colours": {
            "sidebar_background": "#0E0E56",
            "sidebar_accent": "#36367E",
            "sidebar_text": "#FFFFFF",
            "sidebar_hover": "#0A0A42",
            "sidebar_active": "#53DBB8",
            "sidebar_title_background": "#36367E",
            "sidebar_title_primary": "#FFC634",
            "sidebar_title_secondary": "#FFFFFF",
            "sidebar_title_secondary_hover": "#FFFFFF",
            "email_background": "#0E0E56",
            "email_logo_background_panel": "#36367E",
            "email_sub_text": "#FFFFFF",
            "email_button_background": "#36367E",
            "email_button_text": "#FFFFFF",
            "portal_sidebar_button_background": "#F6F6F6",
            "portal_sidebar_button_hover": "#FFFFFF",
            "portal_sidebar_button_active": "#FFFFFF",
            "portal_brand_title": "#323B4B",
            "portal_brand_sub_title": "#828994",
            "portal_sidebar_title": "#11151D",
            "portal_sidebar_text": "#323B4B",
            "portal_sidebar_text_hover": "#323B4B",
            "portal_sidebar_text_active": "#323B4B",
            "portal_sidebar_icon": "#828994",
            "portal_sidebar_icon_hover": "#828994",
            "portal_sidebar_icon_active": "#828994",
            "portal_background": "#F6F6F6",
            "portal_sidebar_account_title": "#11151D",
            "portal_sidebar_account_email": "#828994",
            "portal_sidebar_divider": "#E3E5E9",
            "portal_dashboard_bg_one": "#EF4583",
            "portal_dashboard_bg_two": "#FFC634",
            "portal_sidebar_collapse_button": "#828994",
            "portal_sidebar_collapse_button_hover": "#B3B9C4",
            "portal_sidebar_user_select_background": "#F6F6F6",
            "portal_sidebar_user_select_hover": "#F6F6F6",
            "portal_sidebar_user_select_text": "#323B4B",
            "portal_sidebar_user_select_text_hover": "#323B4B",
            "portal_sidebar_user_select_border": "#EEEEEE",
            "portal_sidebar_user_select_border_hover": "#828994"
          },
          "is_subscribed": true,
          "keep_deleted_files_for": 30,
          "tax": 17.5,
          "month_end": 25,
          "statement_frequency": "monthly",
          "billing": {
            "invoice_address_1": "Suite E, 5 The Briars",
            "invoice_address_2": "Waterberry Drive",
            "invoice_town_city": "Waterlooville",
            "invoice_county": "Hampshire",
            "invoice_postcode": "PO7 7YH",
            "invoice_country": "United Kingdom",
            "invoice_email": "gareth@codepotato.co.uk"
          },
          "ip_whitelist": [
            "192.168.0.1",
            "127.0.0.1"
          ],
          "welcome_paragraph_html": "<h1>Welcome.</h1>",
          "email_welcome_paragraph_html": "Welcome to Plannr!",
          "show_fact_find_illustrations": true,
          "cc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "bcc_email_addresses": [
            "jack@example.com",
            "jill@example.com"
          ],
          "reply_to_email_address": "jack@example.com",
          "mobile_app_support_number": "01234 567890",
          "mobile_app_support_email": "support@example.com"
        },
        "primary_phone_number": {
          "uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "phone_number",
          "name": "Work number",
          "value": "+443330903630",
          "phone_number_meta": {
            "country": "GB",
            "formatted": "0333 090 3630"
          }
        },
        "primary_email": {
          "uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "phone_number",
          "name": "Work number",
          "value": "+443330903630",
          "phone_number_meta": {
            "country": "GB",
            "formatted": "0333 090 3630"
          }
        },
        "current_time_entry": {
          "uuid": "b9d50083-110f-4b5c-ad97-e735caa8a65e",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "name": "Research",
          "description": "This is a description.",
          "trackable_type": "Client",
          "start_date": "2026-07-17T14:35:36+01:00",
          "end_date": "2026-07-17T15:03:36+01:00",
          "is_active": true,
          "total_time_in_minutes": 28,
          "computed_time_elapsed_in_seconds": 1680
        },
        "assigned_adviser": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "assigned_administrator": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "assigned_paraplanner": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "introduced_by": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "business_unit": {
          "uuid": "0b087134-9399-4f48-8830-d50c35f116f3",
          "name": "Wealth Management",
          "has_alternative_branding": false,
          "brand_colours": [],
          "members_count": 3,
          "groups_count": 2,
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00"
        },
        "groups": {
          "uuid": null,
          "name": "finance",
          "slug": "finance",
          "participants_count": "3",
          "participants": {
            "uuid": {
              "example": null,
              "description": "UUID of the account"
            },
            "role": {
              "example": "client",
              "description": "Role of the account"
            },
            "first_name": {
              "example": "Gareth",
              "description": "First name of the account"
            },
            "last_name": {
              "example": "Thompson",
              "description": "Last name of the account"
            },
            "name": {
              "example": "Gareth Thompson",
              "description": "Name of the account"
            },
            "email": {
              "example": "gareth@codepotato.co.uk",
              "description": "Email of the account"
            }
          },
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00"
        },
        "tags": {
          "uuid": "f1ecba6d-f8a7-415f-90f1-db030dd72262",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "name": "Mortgage",
          "slug": "mortgage",
          "colour": "#ef4582"
        },
        "owners": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "first_contact_date": "2026-07-17T15:25:28+01:00",
        "next_review_date": "2026-07-17T15:25:28+01:00",
        "previous_review_date": "2026-07-17T15:25:28+01:00",
        "anniversary_review_date": "2026-07-17T15:25:28+01:00",
        "terms_of_business_at": "2026-07-17T15:25:28+01:00",
        "client_agreement_at": "2026-07-17T15:25:28+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": {
          "uuid": "3e582b00-e462-4d59-aef9-bfdca7f12c97",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "name": "Jones Family",
          "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
          "bg_colour": "#35f4e1",
          "has_portal_access": true,
          "portal_access_status": "active",
          "engagement_rating": "green",
          "last_login": {
            "logged_in_at": "2026-07-17T15:25:36+01:00",
            "account_uuid": "uuid",
            "account_name": "John Smith",
            "device_type": "desktop",
            "device_platform": "macos"
          },
          "portal_login_count_30d": 5,
          "portal_login_count_90d": 12,
          "portal_login_count_365d": 48,
          "joint_account_uuid": "0e1a8da1-b082-4596-b99d-ad01f2370e84",
          "login_access_level": "write",
          "current_life_stage_uuid": "6c428f70-3307-4741-9942-cecd96a2c426"
        },
        "circles": {
          "uuid": "3e582b00-e462-4d59-aef9-bfdca7f12c97",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "name": "Jones Family",
          "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
          "bg_colour": "#35f4e1",
          "has_portal_access": true,
          "portal_access_status": "active",
          "engagement_rating": "green",
          "last_login": {
            "logged_in_at": "2026-07-17T15:25:36+01:00",
            "account_uuid": "uuid",
            "account_name": "John Smith",
            "device_type": "desktop",
            "device_platform": "macos"
          },
          "portal_login_count_30d": 5,
          "portal_login_count_90d": 12,
          "portal_login_count_365d": 48,
          "joint_account_uuid": "0e1a8da1-b082-4596-b99d-ad01f2370e84",
          "login_access_level": "write",
          "current_life_stage_uuid": "6c428f70-3307-4741-9942-cecd96a2c426"
        },
        "ownership_percentage": 100,
        "inactive_at": "2026-07-17",
        "last_interaction_at": "2026-07-17 15:25:28",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": {
          "uuid": null,
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "string",
          "name": "Favourite Drink",
          "reference": "favourite_drink",
          "is_required": false,
          "value": "Coffee",
          "selection_options": [
            "Coffee",
            "Tea",
            "Water"
          ],
          "help_text": "This is the client's favourite drink."
        },
        "external_references": {
          "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "request": {
        "uuid": "9b2a134f-53fb-457e-90ab-db62704b4bfa",
        "created_at": "2026-07-17T15:25:28+01:00",
        "updated_at": "2026-07-17T15:25:28+01:00",
        "description": "Please submit your annual survey form",
        "form": {
          "uuid": "f649a15f-2846-4725-babf-9b7b3d8daee8",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "title": "Annual Catchup 2022",
          "description": "This is the annual catchup form for 2022",
          "live": true,
          "visibility": "public",
          "allowed_hosts": [
            "domain.com",
            "subdomain.domain.com"
          ],
          "draft_submissions_count": 5,
          "submitted_submissions_count": 5,
          "create_client": true,
          "client_type": "client"
        },
        "has_submission": true,
        "submission": {
          "uuid": "46e6daaa-1af3-4f5f-bc77-eff50d05df10",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "stage": "draft",
          "answers": [
            {
              "first_name": "john",
              "last_name": "olive"
            }
          ]
        }
      },
      "form": {
        "uuid": "e66011db-bc75-413f-b6d5-185b5493445d",
        "created_at": "2026-07-17T15:25:28+01:00",
        "updated_at": "2026-07-17T15:25:28+01:00",
        "title": "Annual Catchup 2022",
        "description": "This is the annual catchup form for 2022",
        "live": true,
        "visibility": "public",
        "sections": {
          "uuid": "a78b8295-ee33-4fb4-8ef3-a7d63e02e5ae",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "title": "What is your name?",
          "help_text": "Gareth",
          "caption": "Your full legal name",
          "type": "string",
          "required": true,
          "position": 1,
          "selection_options": [
            "option 1",
            "option 2"
          ],
          "target_field": "name",
          "key": "what_is_your_name",
          "linked_primary": true
        },
        "allowed_hosts": [
          "domain.com",
          "subdomain.domain.com"
        ],
        "draft_submissions_count": 5,
        "submitted_submissions_count": 5,
        "create_client": true,
        "client_type": "client"
      },
      "answers": [
        {
          "first_name": "john",
          "last_name": "olive"
        }
      ]
    }
  ]
}